import numpy as np
import matplotlib
import matplotlib.pylab as plt
from matplotlib.backends.backend_pdf import PdfPages

#plt.ioff()

font = {'weight' : 'normal',
        'size' : 26,
        'family' : 'serif',
        'serif' : ['Times New Roman']
        }
plt.rc('font', **font)
axis_font = {'fontname':'Times New Roman', 'size':'26'}
leg_font = {'family':'serif', 'size':'26'}

matplotlib.rc('font', **font)

data = np.genfromtxt('data.txt', delimiter=',')

pre_2005 = data[data[:,2] < 2005, :]
post_2005 = data[data[:,2] >= 2005, :]

plt.loglog(pre_2005[:,0], pre_2005[:,1], 'o', markersize=10,
           color='blue', markeredgecolor='blue', label='Before 2005'
           )
plt.loglog(post_2005[:,0], post_2005[:,1], '^', markersize=10,
           color='red', markeredgecolor='red', label='Since 2005'
           )

plt.xlim([10, 8000])
plt.ylim([10, 4.e4])

plt.xlabel('Number of species', **axis_font)
plt.ylabel('Number of reactions', **axis_font)
plt.legend(loc='lower right', numpoints=1, frameon=False, labelspacing=0,
           borderpad=0, handletextpad=0, prop=leg_font
           )
#plt.axis('equal')
#plt.gca().set_aspect('equal', adjustable='box')
plt.tight_layout()

plt.show()


pp = PdfPages('mechanism-survey.pdf')
pp.savefig()
pp.close()
